Bug 431 - inverted error message
inverted error message
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.0preX
Other Linux
: P3 minor
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-10 07:14 UTC by spurnelle
Modified: 2005-08-24 10:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spurnelle 2003-09-10 07:14:54 UTC
When I execute this command : 
./net groupmap add sid="S-1-5-21-2824906792-3480216954-4110921517-512"
unixgroup=administrateurs ntgroup="Domains Admins"

I have this erreor message : 
Can't lookup UNIX group Domains Admins
But the unix group in my LDAP is not named Domain Admins, the name is
administrateurs.
Comment 1 Tim Potter 2003-09-10 18:58:47 UTC
I've fixed the error message in CVS.  However the test for the condition that is
failing was correct.  Samba is trying to find a gid value for the unix group
administrateurs and failing.  

If you're running glibc, you can try doing 'getent group' and seeing if your
administrateurs group appears in the list, otherwise check your NSS
configuration (are you using nss_ldap?).
Comment 2 spurnelle 2003-09-11 01:27:33 UTC
The nss_ldap and pam_ldap are correct, but nom I have this error message !
maybe I have on this machine samba 2.2.7a and 3.0.0 the smb 2.2.x is stopped,
but ...

./net groupmap add sid="S-1-5-21-2824906792-3480216954-4110921517-512"
unixgroup=administrateurs ntgroup="Domain Admins"
[2003/09/11 10:22:43, 0] passdb/pdb_ldap.c:ldapsam_search_one_group(1651)
  ldapsam_search_one_group: Problem during the LDAP search: LDAP error: invalid
DN (Invalid DN syntax)ldapsam_search_one_group: Problem during the LDAP search:
LDAP error: invalid... LDAP error: invalid DN (Invalid DN
syntax)ldapsam_search_one_group: Problem during the LDAP search: LDAP error:
invalid DN (Invalid DN syntax)ldapsam_search_one_group: Problem during the LDAP
search: LDAP error: invalid DN (Invalid DN syntax)ldapsam_search_one_group:
Problem during the LDAP search: LDAP error: 
adding entry for group Domain Admins failed!
Comment 3 Tim Potter 2003-09-11 17:32:11 UTC
OK.  I've opened a new bug for this new problem - bug 439.
Comment 4 Gerald (Jerry) Carter 2005-02-07 09:06:19 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:25:54 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.